using LocalEndpoint;
using Models;
using System.Collections.Immutable;

namespace Endpoint
{
    public interface IRecipesService
    {
        public ImmutableList<RecipeInfo> PopularRecipes();

        public Recipe GetRecipe(RecipeInfo info);

        public IAccountOwnedRecipes GetRecipesOf(Account account);
        public IAccountRecipesPreferences GetPreferencesOf(Account account);


    }
}
